    The XSPEC cpflux convolution model: calculate photon flux

xscpflux
The xscpflux model is a convolution model component.

The model is described at [1] .

>>> create_model_component("xscpflux", "mdl")
>>> print(mdl)

Create a component of the xscpflux model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.Emin frozen 0.5 0 1e+06 keV mdl.Emax frozen 10 0 1e+06 keV mdl.Flux thawed 1 0 1e+10

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
Emin
Minimum energy over which the photon flux is calculated.
Emax
Maximum energy over which the photon flux is calculated.
Flux
photon flux in photon/cm^2/s

Notes

Unlike XSPEC, the convolution model is applied directly to the model, or models, rather than using the multiplication symbol.

See [1] for the meaning and restrictions, in particular the necessity of freezing the amplitude, or normalization, of the emission component (or components) at 1.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelCpflux.html

Changes in CIAO

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023